[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomLabeledEdit.Notification

Handles a notification when a component is added to or removed from the control.

## Declaration

Source position: extctrls.pp line 1037

`protected procedure TCustomLabeledEdit.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component for the event notification.
`Operation` |  | Operation for the event notification.

## Description

Notification is overridden in TCustomLabeledEdit to ensure that a reference to the EditLabel property is released when Operation contains the value opRemove. Notification calls the inherited method.

## See also

TControl.Notification |  | Notification handler for insertion or deletion of components.